Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class PrivilegedActionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.PrivilegedActionException

All Implemented Interfaces:
  Serializable

public class PrivilegedActionException
extends Exception

This exception is thrown by `doPrivileged(PrivilegedExceptionAction)` and `doPrivileged(PrivilegedExceptionAction, AccessControlContext context)` to indicate that the action being performed threw a checked exception. The exception thrown by the action can be obtained by calling the `getException` method. In effect, an `PrivilegedActionException` is a "wrapper" for an exception thrown by a privileged action.

See Also:
  `PrivilegedExceptionAction`, `AccessController.doPrivileged(PrivilegedExceptionAction)`, `AccessController.doPrivileged(PrivilegedExceptionAction,AccessControlContext)`, Serialized Form

Constructor Summary
`PrivilegedActionException(Exception exception)` Constructs a new PrivilegedActionException "wrapping" the specific Exception.

Method Summary
`Exception` | `getException()` Returns the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`.
`void` | `printStackTrace()` Prints the stack trace of the exception that occurred.
`void` | `printStackTrace(PrintStream ps)` Prints the stack trace of the exception that occurred to the specified print stream.
`void` | `printStackTrace(PrintWriter pw)` Prints the stack trace of the exception that occurred to the specified print writer.
`String` | `toString()` Returns a string describing this exception, including a description of the exception it wraps.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrivilegedActionException

    public PrivilegedActionException(Exception exception)

  Constructs a new PrivilegedActionException "wrapping" the specific Exception.
  Parameters:
    `exception` - The exception thrown

Method Detail

### getException

    public Exception getException()

  Returns the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`.
  Returns:
    the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`.
  See Also:
    `PrivilegedExceptionAction`, `AccessController.doPrivileged(PrivilegedExceptionAction)`, `AccessController.doPrivileged(PrivilegedExceptionAction, AccessControlContext)`

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of the exception that occurred.
  Overrides:
    `printStackTrace` in class `Throwable`
  See Also:
    `System.err`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the stack trace of the exception that occurred to the specified print stream.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the stack trace of the exception that occurred to the specified print writer.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintWriter` to use for output

### toString

    public String toString()

  Returns a string describing this exception, including a description of the exception it wraps.
  Overrides:
    `toString` in class `Throwable`
  Returns:
    a string representation of this `PrivilegedActionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.